#include "global.h"

/*

Copyright (c) 2006 Jake Stookey

*/


void loadtxr(const char *fn, GLuint *txr) {
  kos_img_t img;
  pvr_ptr_t txaddr;

  if (pcx_to_img(fn, &img) < 0) {
    printf("can't load %s\n", fn);
    return;
  }

  txaddr = pvr_mem_malloc(img.w * img.h * 2);
  pvr_txr_load_kimg(&img, txaddr, PVR_TXRLOAD_INVERT_Y);
  kos_img_free(&img, 0);

  glGenTextures(1, txr);
  glBindTexture(GL_TEXTURE_2D, *txr);
  glKosTex2D(GL_RGB565_TWID, img.w, img.h, txaddr);
}

void init_kos() {
  /*********** Initialize  ***************/
  /* Initialize KOS */
  pvr_init_params_t params = {
    /* Enable opaque and translucent polygons with size 16 */
    { PVR_BINSIZE_16, PVR_BINSIZE_0, PVR_BINSIZE_16, PVR_BINSIZE_0, PVR_BINSIZE_0 },
    
    /* Vertex buffer size 512K */
    512*1024
  };
  
  pvr_init(&params);
    
  /* Get basic stuff initialized */
  glKosInit();
}
